dpkg-realpath(1)

NAAM
dpkg-realpath - de opgezochte padnaam met ondersteuning voor DPKG_ROOT weergeven

OVERZICHT
dpkg-realpath [optie...] padnaam

BESCHRIJVING
dpkg-realpath is een hulpmiddel (sinds dpkg 1.20.1) om een padnaam op te zoeken, die rekening houdt met de dpkg(1)-hoofdmap, ofwel impliciet vanuit de omgevingsvariabele DPKG_ROOT of vanuit de commandoregelopties --root of --instdir, en een absolute padnaam terugkeert, relatief ten opzichte van de hoofdmap. De hoofdmap mag niet aan de op te zoeken padnaam voorafgaan.

Dit is bedoeld om te worden gebruikt door andere dpkg-hulpprogramma's of door scripts van beheerders in plaats van realpath(1) of readlink(1) te gebruiken om conforme padnamen te bekomen, aangezien deze laatste commando's geen dergelijke conformering ondersteunen ten opzichte van een andere hoofdmap dan /.

Dit programma werd geïntroduceerd in dpkg 1.20.1.

OPTIES

-z, --zero
    Een NULL-byte gebruiken om uitvoerregels te beëindigen in plaats van een regeleindeteken (sinds dpkg 1.20.6).

--instdir map
--root map
    De hoofdmap instellen op map, welke de hoofdmap is waartegen padnamen conform gemaakt worden. Staat standaard ingesteld op «/» indien DPKG_ROOT niet werd ingesteld.

-?, --help
    Info tonen over het gebruik en afsluiten.

--version
    De versie tonen en afsluiten.

OMGEVING

DPKG_ROOT
    Indien dit ingesteld is en de opties --instdir of --root niet opgegeven werden, zal dit gebruikt worden als de hoofdmap voor het bestandssysteem.

DPKG_COLORS
    Stelt de kleurmodus in. Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

ZIE OOK
realpath(1), readlink(1).